SplFileObject::fstat
SplFileObject::ftruncate
SplFileObject
PHP Manual

# SplFileObject::ftell

Return current file position

### Description

public int SplFileObject::ftell ( void )

Returns the position of the file pointer which represents the current offset in the file stream.

### Parameters

This function has no parameters.

### Return Values

Returns the position of the file pointer as an integer, or `FALSE` on error.

### Examples

Example #1 SplFileObject::ftell example

`<?php
$file = new SplFileObject("/etc/passwd");
// Read first line
$data = $file->fgets();
// Where are we?
echo $file->ftell();
?>`

### See Also

- ftell